Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80289 - mkfs.ext2 of former ntfs fails to remove ntfs identifer
Summary: mkfs.ext2 of former ntfs fails to remove ntfs identifer
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-24 03:51 UTC by Timothy Burt
Modified: 2015-01-08 00:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-07 13:59:46 UTC


Attachments (Terms of Use)

Description Timothy Burt 2002-12-24 03:51:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:

repartitioning and reformatting a drive that had a single ntfs partition 
results in a ext2 or ext3 partition that cannot be mounted.

When attempting to mount the partition, mount returns with:

mount: fs type ntfs not supported by kernel

Somehow, a magic number or other identifier is left unmolested by the mkfs 
utility.  This results in the erroneous identification of the filesystem as 
being ntfs.

e2fsck correctly identifies the partition as ext2.

An octal dump (od -c) of the first 16 bytes of the partition show:

   ë   R 220   N   T   F   S                  \0 002  \b  \0  \0




Version-Release number of selected component (if applicable):


How reproducible:
Didn't try.  I have only one ntfs disk that needs repartitioning.


Additional info:

Whether mount should ignore the NTFS identifier or mkfs should remove or zero 
the identifier is not known.  I think that mkfs should do more.

I don't know of a workaround.

Comment 1 Florian La Roche 2003-02-14 13:52:38 UTC
The kernel should not look at the first sector to autodetect a NTFS
partition.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.